[ROM][3.4] Cyanogenmod 11 Stable For Mini 2 [Latest] [Discontinued]

peluki82

Member
Nov 15, 2018
7
0
0
Ok, thanks. Being a version superior to Android 4.3 I thought that this could admit it as it did my previous Galaxy S3.

I would need bluetooth 4.0 or Ant+ to connect the sensors. The galaxy mini 2 supports OTG with this rom?? If yes, could I use an OTG adapter with a bluetooth 4.0 USB or an Ant+ USB??

Thank you.
 
Last edited:

Don Pedro!

Member
Feb 18, 2017
44
10
0
Hurricane
My Galaxy mini 2 is new, in the original box and never used. I had it saved as a spare.
How long did it lie around there? Did the battery survive it? :confused:

Now I'm thinking of using it as a GPS navigator (like a Garmin) for my outings, on foot and by bike, to the mountain using the app "oruxmaps" and connecting a heart rate band to smart bluetooth (v4.0). The band doesn't work on Bluetooth v3.0.

Before installing the rom, I have a question. If I install this rom, it is based on kit kat 4.4:

1. Will the GPS work properly?
2. Will Bluetooth work in version 4.0 to connect the band?
3. Can the external memory card be used?

Thank you very much in advance.
Well,
  1. GPS should work. I tested OSMAND and it basically works. However note that this phone is rather slow, so don't expect an ambitious waypoint rate. Depending on what you want to do this may or may not be a severe limitation or even a show stopper.
  2. Bluetooth will not work here, this phone has no 4.0 transceiver. The phone is so old, BT 4.0 wasn't even specified at that time.
  3. SD Card does work, yes. It even works better than with a stock ROM as the custom ROM is rooted. Stock, unrooted Kitkat has some severe limitation regarding access permission on the SD card (which is a real nag).

HTH
 

peluki82

Member
Nov 15, 2018
7
0
0
How long did it lie around there? Did the battery survive it? :confused:



Well,
  1. GPS should work. I tested OSMAND and it basically works. However note that this phone is rather slow, so don't expect an ambitious waypoint rate. Depending on what you want to do this may or may not be a severe limitation or even a show stopper.
  2. Bluetooth will not work here, this phone has no 4.0 transceiver. The phone is so old, BT 4.0 wasn't even specified at that time.
  3. SD Card does work, yes. It even works better than with a stock ROM as the custom ROM is rooted. Stock, unrooted Kitkat has some severe limitation regarding access permission on the SD card (which is a real nag).

HTH
It has been around for 5 years. Today I turned it on for the first time, and the battery was over 50%, I think it's fine but I have to try it more.

You could tell me if in the SGM2, with this rom, the micro USB works like OTG ??
 

Don Pedro!

Member
Feb 18, 2017
44
10
0
Hurricane
It has been around for 5 years. Today I turned it on for the first time, and the battery was over 50%, I think it's fine but I have to try it more.

You could tell me if in the SGM2, with this rom, the micro USB works like OTG ??
Dunno, never tried it and I don't have a suitable cable at hand! But Shadow of Leave should know if he integrated that in the custom ROM he made. Otherwise just try it. You don't want to run a ginger bread phone these days, do you? So simply change to the custom ROM and see if it works, OTG cables are available on Amazon & Co. for little money and a stick or keyboard you'll probably find in your desk.
 
Last edited:

peluki82

Member
Nov 15, 2018
7
0
0
Dunno, never tried it and I don't have a suitable cable at hand! But Shadow of Leave should know if he integrated that in the custom ROM he made. Otherwise just try it. You don't want to run a ginger bread phone these days, do you? So simply change to the custom ROM and see if it works, OTG cables are available on Amazon & Co. for little money and a stick or keyboard you'll probably find in your desk.
Thanks for the reply. Let's see if @Shadow Of Leaf can confirm if with your ROM installed the SGM2 supports OTG and an external Bluetooth 4.0 USB mini could be used.
 
Last edited:

peluki82

Member
Nov 15, 2018
7
0
0
I Think it work cuz i implement it on cm11 and omnirom
but it need testing
Thank you very much for the reply. In that case I will buy the OTG and Bluetooth USB adapter, install the rom and try if it works.

Which rom is more recommendable, Cm11 or Omnirom?? I see that the links for s6500d are not yet available in omnirom.

Regards.
 

Shadow Of Leaf

Senior Member
Jul 28, 2014
445
344
93
Casablanca
Thank you very much for the reply. In that case I will buy the OTG and Bluetooth USB adapter, install the rom and try if it works.

Which rom is more recommendable, Cm11 or Omnirom?? I see that the links for s6500d are not yet available in omnirom.

Regards.
Soon cuz i dont have a s6500d
so i need a tester
but it will be soon available
 

Don Pedro!

Member
Feb 18, 2017
44
10
0
Hurricane
Thank you very much for the reply. In that case I will buy the OTG and Bluetooth USB adapter, install the rom and try if it works.

Which rom is more recommendable, Cm11 or Omnirom?? I see that the links for s6500d are not yet available in omnirom.

Regards.
A said, OTG is one thing, Bluetooth 4.0 is the other. Both have nothing in common.

Which ROM is "the better one" alsways depends on what you're expecting. Didn't test omnirom yet, it is also based on Android Kitkat 4.4.4, same as CM11, so there's probably little difference regarding functionality and I saw little motivation to switch form CM11 to Omnirom. Omnirom currently also seems to have a bug, see here: https://forum.xda-developers.com/galaxy-mini/mini-2-dev/rom-omnirom-4-4-4-stable-mini-2-t3831882. Shadow of Leave promissed to fix it soon but posted no fix yet. It would be interesting to have a more recent Android version than 4.4.4 on the mini but this seems to be a more difficult task to do then you would naively assume. As the mini2 is such an old, weak-CPU phone I also think custom ROM development for that thingy mostly came to a halt. At least you shouldn't expect anything more recent than Kitkat 4.4.4.
 

S3rgi0

Member
Sep 20, 2015
32
2
0
When i try to install it says to me "This package is for device: jenad, GT-S6500D. this device is jena" but my device is GT-S6500D!! :S

And when try to install the 6500 version it says : "mount: failed to mount /dev/block/mmcblk023 at /data: Device..." but finish installation done, and when I restart the splash screen remains eternally...
 
Last edited:

KevMetal

Senior Member
Nov 11, 2016
1,570
592
0
When i try to install it says to me "This package is for device: jenad, GT-S6500D. this device is jena" but my device is GT-S6500D!! :S

And when try to install the 6500 version it says : "mount: failed to mount /dev/block/mmcblk023 at /data: Device..." but finish installation done, and when I restart the splash screen remains eternally...
It's an updater script error ...just delete the assert lines ..

_using 7zip browse ( NOT EXTRACT ) rom zip ...
_browse to META-INF>com>google>
_open updater script with notepad
_delete all the lines from the top until BUT NOT INCLUDING "mount"
_save
_exit
_install

assert prop lines is to protect your device so you don't flash the wrong zip ..if you know the zip will work they are not necessary

*DO THIS AT YOUR OWN RISK*
*IF THE ZIP IS FOR ANOTHER PHONE WILL BOOTLO OP & BRICK
 
  • Like
Reactions: S3rgi0

S3rgi0

Member
Sep 20, 2015
32
2
0
It's an updater script error ...just delete the assert lines ..

_using 7zip browse ( NOT EXTRACT ) rom zip ...
_browse to META-INF>com>google>
_open updater script with notepad
_delete all the lines from the top until BUT NOT INCLUDING "mount"
_save
_exit
_install

assert prop lines is to protect your device so you don't flash the wrong zip ..if you know the zip will work they are not necessary

*DO THIS AT YOUR OWN RISK*
*IF THE ZIP IS FOR ANOTHER PHONE WILL BOOTLO OP & BRICK
A lot of thanks!
But now only says : "mount: failed to mount /dev/block/mmcblk023 at /data: Device..." but finish installation done, and when I restart ...the system works!!

But...when i try to download a file with browser it says that I do not have SD card :(
 
Last edited:

KevMetal

Senior Member
Nov 11, 2016
1,570
592
0
A lot of thanks!
But now only says : "mount: failed to mount /dev/block/mmcblk023 at /data: Device..." but finish installation done, and when I restart ...the system works!! it is ok?
Jajaja you tell me ..:D...if system is running normally it's fine ..twrp can't mount data partition ...i think ..could be solved by formatting data ..i think ...but if the phone works fine ....it works fine ....
 

S3rgi0

Member
Sep 20, 2015
32
2
0
Jajaja you tell me ..:D...if system is running normally it's fine ..twrp can't mount data partition ...i think ..could be solved by formatting data ..i think ...but if the phone works fine ....it works fine ....
Thanks!
I tried to format /data and /sdcard0 but "failed to mount" again :eek:
 

KevMetal

Senior Member
Nov 11, 2016
1,570
592
0

S3rgi0

Member
Sep 20, 2015
32
2
0
https://forum.xda-developers.com/galaxy-mini/mini-2-dev/recovery-twrp-3-0-2-0-galaxy-mini-2-t3830997

Bro install that recovery ...in cwm choose install .img file and install ..

Man are you sure you have 6500d & not just 6500 ?

Anyway go to that post and use that recovery and format data in format section to ext4
yes, is 6500D...i tried the trwp, format data, repair file system, change to fat and then to ext4...and same results...problems with the data partition of my phone persist...finally i'm back to cwm and restore to CM 10.1 for 6500D backup and all work ok again :)
 

KevMetal

Senior Member
Nov 11, 2016
1,570
592
0
yes, is 6500D...i tried the trwp, format data, repair file system, change to fat and then to ext4...and same results...problems with the data partition of my phone persist...finally i'm back to cwm and restore to CM 10.1 for 6500D backup and all work ok again :)
Okay I'm not sure what the error is related to then but if rom was installing and working fine there is no need to remove it ...first try it at least a few days ..but anyway ..glad all is back to CM10.1 without problems.

Wait i understand your problem ...you installed a recovery for s6500 not s6500d
*now your phone thinks it's s6500 & everytime you try to install s6500d rom it is confused ..

Try to find a recovery that is only for s6500d .. install that ..then find an old rom only for s6500d and install that ..after try to install the s6500d version from OP following the exact instructions for s6500d version and see what happens

And try to change data to ext4 with your old recovery ..then flash new recovery then fix files & format data again ..then install ROM

You flashed the rom first i think then you tried to change the recovery and data and all of that and either way your first problem is the recovery of your phone thinks your phone is s6500 so your recovery is starting the problem ...

Hope you understand what i am trying to say .
 
Last edited:

S3rgi0

Member
Sep 20, 2015
32
2
0
Okay I'm not sure what the error is related to then but if rom was installing and working fine there is no need to remove it ...first try it at least a few days ..but anyway ..glad all is back to CM10.1 without problems.
I think my phone has a problem with partitions structure or similar, another problem with trwp(for 6500D) is that not detect my external micro sd card...i had to copy the new rom to internal memory of the phone (mounting from recovery) for install...

In any way thanks you for your help, you have tried ;) :good:
 
Last edited: